---
search:
  tags:
    - Teams
    - GET
seo:
  description: >-
    Get a team's profile, members, scores and keys. Reference for the GET
    /api/admin/teams/{teamId} endpoint in the Athena Attack/Defence Admin API.
sidebar:
  label: Get a team's profile, members, scores and keys
  badge: GET
title: Get a team's profile, members, scores and keys
type: openapi-operation
---
`GET /api/admin/teams/{teamId}`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `404` — Response for status 404
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "profile": {
    "id": "string",
    "name": "string",
    "handle": "string",
    "number": 0,
    "admittedAt": "2019-08-24T14:15:22Z",
    "isHidden": true,
    "leaderUserId": "string",
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "scores": {
    "teamId": "string",
    "offence": 0,
    "defence": 0,
    "sla": 0,
    "total": 0,
    "rank": 0,
    "asOfTick": 0,
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "serviceScores": [
    {
      "serviceId": "string",
      "serviceSlug": "string",
      "serviceName": "string",
      "offence": 0,
      "defence": 0,
      "sla": 0,
      "total": 0
    }
  ],
  "members": [
    {
      "userId": "string",
      "name": "string",
      "username": "string",
      "email": "string",
      "role": "member",
      "joinedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "sshKeys": [
    {
      "id": "string",
      "userId": "string",
      "fingerprint": "string",
      "label": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "box": {
    "lifecycleState": "pending",
    "gameAddress": "string",
    "restoreStatus": "failed",
    "lastHealthyAt": "2019-08-24T14:15:22Z"
  },
  "submissions": {
    "total": 0,
    "accepted": 0
  }
}
```
